//A config file for chat server
var config = {};

config.dbHost = process.env.DB_HOST;
config.dbName = process.env.DB_NAME;
config.S3bucketName = process.env.S3_BUCKET_NAME;
config.s3accessKey = process.env.S3_ACCESS_KEY;
config.s3secretKey = process.env.S3_SECRET_KEY;
config.downloadlink = process.env.CLOUD_FRONT;
config.maxAsyncS3 = 20;
config.s3RetryCount = 3;
config.s3RetryDelay = 1000;
config.multipartUploadThreshold = 104857600;
config.multipartUploadSize = 524288000;
config.HostName = process.env.HOST_NAME;
config.AccessAllowOriginIP = process.env.ACCESS_HOST;
config.AccessAllowOriginPort = process.env.ACCESS_PORT;
config.iOSCert = process.env.iOS_CERT_PEM_FILE;  //certificate for ios
config.iOSKey = process.env.iOS_KEY_PEM_FILE;
config.production = process.env.PRODUCTION_MODE;
config.iOSPassword = process.env.IOS_PASSWORD;   //passphrase for ios
config.ApiKey = process.env.ANDROID_API_KEY;  //ApiKey for Android
config.deleteDeviceSchedule = "0 0 * * *";
config.defaultsmtp = 'throughawsemailserver';
config.twilioAccountSid = process.env.TWILIO_ACCOUNT_ID;
config.twilioAuthToken = process.env.TWILIO_AUTH_TOKEN;
config.twilioFromNumber = process.env.TWILIO_FROM_NUMBER;
config.Smsnotifytoadmin = process.env.SMS_NUMBER_TO_NOTIFY_ADMIN;
config.smslimit = process.env.SMS_LIMIT;
config.tokenExpiryTime = process.env.REGISTRATION_TOKEN_EXPIRY; //default 5 mins
config.adminemail = process.env.ADMIN_EMAILID;;
config.adminMobileNumber = process.env.ADMIN_LOGINKEY;
config.adminUserId = process.env.ADMIN_USERID;
config.AdminGroupName = process.env.ADMIN_GROUPNAME;
config.welcomeMessage = "Welcome to Chat Server!";
module.exports = config;
